Skip to main content
`Ctrl`+`K`

# MatCreateSeqCUFFT

Creates a matrix object that provides `MATSEQCUFFT` via the NVIDIA package CuFFT

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatCreateSeqCUFFT(MPI_Comm comm, PetscInt ndim, const PetscInt dim[], Mat *A)

Collective

## Input Parameters

- comm - MPI communicator, set to `PETSC_COMM_SELF`

- ndim - the ndim-dimensional transform

- dim - array of size `ndim`, dim[i] contains the vector length in the i-dimension

## Output Parameter

- A - the matrix

## Options Database Key

- -mat_cufft_plannerflags - set CuFFT planner flags

## See Also

Matrices, `Mat`, `MATSEQCUFFT`

## Level

intermediate

## Location

src/mat/impls/cufft/cufft.cu

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages